Skip to main content
POST
/
api
/
container
/
{containerId}
/
filter
Creates a new filter within a container.
curl --request POST \
  --url https://{tenant}.ekso.app/api/container/{containerId}/filter \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entity": "<string>",
  "containerId": "<string>",
  "name": "<string>",
  "active": true,
  "criteria": {
    "container": [
      "<string>"
    ],
    "conditionGroup": [
      {
        "condition": [
          {
            "id": "<string>",
            "leftSide": "<string>",
            "rightSide": "<string>",
            "operator": 123
          }
        ]
      }
    ],
    "includeClosed": true,
    "sortField": "<string>",
    "sortDescending": true
  },
  "tenantId": "<string>",
  "id": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "updated": "2023-11-07T05:31:56Z",
  "updatedBy": "<string>",
  "deleted": true
}
'

Authorizations

Authorization
string
header
required

JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.

Path Parameters

containerId
string
required

The unique identifier of the container.

Body

The filter to create.

entity
null | string
containerId
string
name
string
active
boolean
criteria
object
tenantId
string
id
string
created
string<date-time>
createdBy
string
updated
string<date-time>
updatedBy
string
deleted
boolean

Response

Filter created successfully.